# Microsemi Tcl Script
# libero
# Date: Fri Sep 16 13:44:34 2022
# Directory /home/tgingold/Repositories/ohwr/diot-sb-igl/hdl/syn/envm
# File /home/tgingold/Repositories/ohwr/diot-sb-igl/hdl/syn/envm/exported.tcl


new_project -location {.} -name {envm} -project_description {} -block_mode 0 -standalone_peripheral_initialization 0 -instantiate_in_smartdesign 1 -ondemand_build_dh 1 -use_relative_path 0 -linked_files_root_dir_env {} -hdl {VHDL} -family {IGLOO2} -die {M2GL090} -package {676 FBGA} -speed {STD} -die_voltage {1.2} -part_range {COM} -adv_options {DSW_VCCA_VOLTAGE_RAMP_RATE:100_MS} -adv_options {IO_DEFT_STD:LVCMOS 2.5V} -adv_options {PLL_SUPPLY:PLL_SUPPLY_25} -adv_options {RESTRICTPROBEPINS:0} -adv_options {RESTRICTSPIPINS:0} -adv_options {SYSTEM_CONTROLLER_SUSPEND_MODE:0} -adv_options {TEMPR:COM} -adv_options {VCCI_1.2_VOLTR:COM} -adv_options {VCCI_1.5_VOLTR:COM} -adv_options {VCCI_1.8_VOLTR:COM} -adv_options {VCCI_2.5_VOLTR:COM} -adv_options {VCCI_3.3_VOLTR:COM} -adv_options {VOLTR:COM} 
create_and_configure_core -core_vlnv {Actel:SystemBuilder:SystemBuilder:1.0} -component_name {envm} -params {} 
generate_component -component_name {envm} -recursive 0 
sd_connect_pin_to_port -sd_name {envm} -pin_name {envm_sb_0:FIC_0_CLK} -port_name {} 
generate_component -component_name {envm} -recursive 0 
build_design_hierarchy 
update_and_run_tool -name {SYNTHESIZE} 
configure_tool \
         -name {GENERATEPROGRAMMINGFILE} \
         -params {program_envm:true} \
         -params {program_fabric:false} \
         -params {program_security:false} \
         -params {sanitize_envm:false} 
run_tool -name {GENERATEPROGRAMMINGFILE} 
export_prog_job \
         -job_file_name {envm} \
         -export_dir {/home/tgingold/Repositories/ohwr/diot-sb-igl/hdl/syn/envm/designer/envm/export} \
         -bitstream_file_type {TRUSTED_FACILITY} \
         -bitstream_file_components {ENVM} \
         -include_plaintext_passkey 0 \
         -design_bitstream_format {PPD} \
         -prog_optional_procedures {} \
         -sanitize_envm 0 
